aboutsummaryrefslogtreecommitdiffstats
path: root/test/Maketests
diff options
context:
space:
mode:
authorArnold D. Robbins <arnold@skeeve.com>2017-08-09 21:01:19 +0300
committerArnold D. Robbins <arnold@skeeve.com>2017-08-09 21:01:19 +0300
commitc51a97fc72b732d19dbc83a7a4aadf9893a92b78 (patch)
tree6a6baa3581785d9f911476264fa0826d18244103 /test/Maketests
parent66a471664f2bf33b35a10db017a1f7ff194d5163 (diff)
downloadegawk-c51a97fc72b732d19dbc83a7a4aadf9893a92b78.tar.gz
egawk-c51a97fc72b732d19dbc83a7a4aadf9893a92b78.tar.bz2
egawk-c51a97fc72b732d19dbc83a7a4aadf9893a92b78.zip
Fix array indexing from unassigned var to not keep that attribute.
Diffstat (limited to 'test/Maketests')
-rw-r--r--test/Maketests5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/Maketests b/test/Maketests
index f8c54f94..e6a2f300 100644
--- a/test/Maketests
+++ b/test/Maketests
@@ -130,6 +130,11 @@ arysubnm:
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+aryunasgn:
+ @echo $@
+ @AWKPATH="$(srcdir)" $(AWK) -f $@.awk >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ @-$(CMP) "$(srcdir)"/$@.ok _$@ && rm -f _$@
+
asgext:
@echo $@
@AWKPATH="$(srcdir)" $(AWK) -f $@.awk < "$(srcdir)"/$@.in >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@